RspecMatcher

Gem Version Code Climate GPA Code Climate Coverage Gemnasium Status Travis CI Status Patreon

Table of Contents

Features

Requirements

  1. MRI 1.9.3

Setup

For a secure install, type the following (recommended):

gem cert --add <(curl -Ls https://www.my-website.com/gem-public.pem)
gem install rspec_matcher --trust-policy MediumSecurity

NOTE: A HighSecurity trust policy would be best but MediumSecurity enables signed gem verification while allowing the installation of unsigned dependencies since they are beyond the scope of this gem.

For an insecure install, type the following (not recommended):

gem install rspec_matcher

Add the following to your Gemfile:

gem "rspec_matcher"

Usage

Tests

To test, run:

bundle exec rake

Versioning

Read Semantic Versioning for details. Briefly, it means:

  • Patch (x.y.Z) - Incremented for small, backwards compatible bug fixes.
  • Minor (x.Y.z) - Incremented for new, backwards compatible public API enhancements and/or bug fixes.
  • Major (X.y.z) - Incremented for any backwards incompatible public API changes.

Code of Conduct

Please note that this project is released with a CODE OF CONDUCT. By participating in this project you agree to abide by its terms.

Contributions

Read CONTRIBUTING for details.

License

Copyright (c) 2016 Pooyan Khosravi. Read the LICENSE for details.

History

Read the CHANGELOG for details. Built with Gemsmith.

Credits

Developed by Pooyan Khosravi at Pooyan Khosravi.